import 'dart:io';
import 'gamelogic.dart';

class KybernetikGame {
  Function getInput;

  KybernetikGame(this.getInput);

  void play() {
    initializeGame();
    printGameboard();
    while (true) {
      final status = handleInput(getInput());
      if (status == -1) {
        quit();
      }
      printGameboard();
      if (gameOver) {
        while (true) {
          final key = getInput();
          if (key == 'r') {
            play();
          } else if (key == 'q') {
            quit();
          }
        }
      }
    }
  }

  void quit() {
    clearScreen();
    exit(0);
  }
}
