import 'param.dart';
import 'tabellenfunktion.dart';

final lebensqualitaet = Param(10, 29, [
  Tabellenfunktion('Lebensqualität', {
    1: 0,
    2: 1,
    3: 1,
    4: 0,
    5: 0,
    6: 0,
    7: 0,
    8: 0,
    9: 0,
    10: 1,
    11: 1,
    12: 1,
    13: 2,
    14: 1,
    15: 1,
    16: 0,
    17: 0,
    18: -1,
    19: -1,
    20: -1,
    21: -1,
    22: -1,
    23: -2,
    24: -2,
    25: -2,
    26: -1,
    27: -1,
    28: -1,
    29: 0
  }),
  Tabellenfunktion('Vermehrungsrate', {
    1: -15,
    2: -8,
    3: -6,
    4: -4,
    5: -3,
    6: -2,
    7: -1,
    8: 0,
    9: 1,
    10: 2,
    11: 2,
    12: 2,
    13: 1,
    14: 1,
    15: 1,
    16: 1,
    17: 1,
    18: 1,
    19: 1,
    20: 1,
    21: 0,
    22: 0,
    23: 0,
    24: 0,
    25: 0,
    26: 0,
    27: 0,
    28: 0,
    29: 0,
  }),
  Tabellenfunktion('Politik', {
    1: -10,
    2: -8,
    3: -6,
    4: -3,
    5: -2,
    6: -1,
    7: -1,
    8: -1,
    9: -1,
    10: 0,
    11: 0,
    12: 1,
    13: 1,
    14: 1,
    15: 1,
    16: 1,
    17: 1,
    18: 1,
    19: 1,
    20: 1,
    21: 2,
    22: 2,
    23: 2,
    24: 3,
    25: 3,
    26: 3,
    27: 4,
    28: 4,
    29: 5
  }),
  Tabellenfunktion('D', {
    1: -6,
    2: -4,
    3: -2,
    4: 0,
    5: 0,
    6: 1,
    7: 1,
    8: 1,
    9: 2,
    10: 2,
    11: 2,
    12: 2,
    13: 2,
    14: 2,
    15: 2,
    16: 2,
    17: 2,
    18: 3,
    19: 3,
    20: 3,
    21: 3,
    22: 3,
    23: 4,
    24: 4,
    25: 4,
    26: 4,
    27: 5,
    28: 5,
    29: 5
  })
]);
